/******************************************************************************
 * JibsCollection - Operations on a Collection
 * $Id: JibsCollection.java,v 1.3 2011/05/31 13:02:09 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsCollection.java,v $
 * Revision 1.3  2011/05/31 13:02:09  dick
 * Generics cleanups.
 *
 * Revision 1.2  2011/05/30 05:29:21  dick
 * retab.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.backgammon;

import java.util.Collection;

/** Operations on a Collection.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/05/31 13:02:09 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/backgammon/JibsCollection.java">cvs JibsCollection.java</a>
 */
public class JibsCollection {
	public static boolean checkMove(Collection<PossibleMove> col, PossibleMove pMove,
			BackgammonBoard board) {
		boolean retCode = true;

		if (col.size() <= 0) {
			return true;
		}

		BackgammonBoard board1 = null;
		BackgammonBoard helpBoard1 = new BackgammonBoard(board);

		for (int j = 0; j <= pMove.getnrMoves(); j++) {
			Move mv = pMove.getMove(j);

			if (mv != null) {
				board1 = helpBoard1.placeMoveX(mv);
				helpBoard1 = board1;
			}
		}

//		Iterator iter = col.iterator();
		BackgammonBoard board2 = null;
		BackgammonBoard helpBoard2 = new BackgammonBoard(board);

//		while (iter.hasNext()) {
//			PossibleMove posMove = (PossibleMove) iter.next();
		for (PossibleMove posMove : col) {

			for (int j = 0; j <= posMove.getnrMoves(); j++) {
				Move mv = posMove.getMove(j);

				if (mv != null) {
					board2 = helpBoard2.placeMoveX(mv);
					helpBoard2 = board2;
				}
			}

			// check, if result boards are equal or different
			// return true --> a new valid move
			// return false --> move leads to same end position; don't add it
			for (int i = 0; i < 26; i++) {
				if (helpBoard1.getBoard()[i] != helpBoard2.getBoard()[i]) {
					return true;
				}
			}

			retCode = false;
		}

		return retCode;
	}
}
