/******************************************************************************
 * Wave_Command - Wave goodbye
 * $Id: Wave_Command.java,v 1.2 2011/05/31 13:02:43 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Wave_Command.java,v $
 * Revision 1.2  2011/05/31 13:02:43  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.gui.JibsTextArea;
import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;
import net.sourceforge.jibs.util.JibsWriter;

/** Wave goodbye.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @since 2004/02/11
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 13:02:43 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/Wave_Command.java">cvs Wave_Command.java</a>
 */
public class Wave_Command implements JibsCommand {

	@Override
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		int wavings = player.getWavings();

		wavings++;

		if (wavings == 1) {
			// m_wave_goodbye=%0 waves goodbye.
			Object[] obj = new Object[] { player.getName() };
			String msg = jibsServer.getJibsMessages()
			.convert("m_wave_goodbye", obj);

			player.informPlayers(msg, null);
			JibsTextArea.log(jibsServer, msg, true);

			JibsWriter out = player.getOutputStream();

			msg = jibsServer.getJibsMessages().convert("m_you_wave");
			out.println(msg);
			player.setWavings(wavings);

			return true;
		} else {
			// m_wave_goodbye_again=%0 waves goodbye again.
			Object[] obj = new Object[] { player.getName() };
			String msg = jibsServer.getJibsMessages()
			.convert("m_wave_goodbye_again", obj);

			player.informPlayers(msg, null);
			JibsTextArea.log(jibsServer, msg, true);
			player.setWavings(wavings);

			JibsWriter out = player.getOutputStream();

			msg = jibsServer.getJibsMessages()
			.convert("m_you_wave_goodbye_again");
			out.println(msg);

			JibsCommand byeCommand = new Exit_Command();

			byeCommand.execute(jibsServer, player, "bye", null);

			return false;
		}
	}
}
