/******************************************************************************
 * GameEnder - Delay 200ms before ending the game.
 * $Id: GameEnder.java,v 1.2 2011/05/31 15:25:49 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: GameEnder.java,v $
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;

/** Delay 200ms before ending the game.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 15:25:49 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/GameEnder.java">cvs GameEnder.java</a>
 */
public class GameEnder extends Thread {
	private Player playerX;
	private Player playerO;
	private JibsServer jibsServer;

	public GameEnder(JibsServer jibsServer, Player playerX, Player playerO) {
		this.playerX = playerX;
		this.playerO = playerO;
		this.jibsServer = jibsServer;
	}

	public void run() {
		try {
			Thread.sleep(200);
			playerX.endGame(playerO);
			playerX.setGame(null);
			playerO.endGame(playerX);
			playerO.setGame(null);
		} catch (InterruptedException e) {
			jibsServer.logException(e);
		}
	}
}
