/******************************************************************************
 * JibsNewGameData - Pojo to hold new game data
 * $Id: JibsNewGameData.java,v 1.2 2011/05/31 15:25:49 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsNewGameData.java,v $
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import net.sourceforge.jibs.backgammon.Die;
import net.sourceforge.jibs.server.Player;

/** Pojo to hold new game data
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 15:25:49 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/JibsNewGameData.java">cvs JibsNewGameData.java</a>
 */
public class JibsNewGameData {
	private Player player1;
	private Player player2;
	private Player playerX;
	private Player playerO;
	private Die die1;
	private Die die2;
	private int turn;

	public JibsNewGameData(Player player1, Player player2, Player playerX,
			Player playerO, int startTurn, Die die1, Die die2) {
		this.playerX = playerX;
		this.playerO = playerO;
		this.player1 = player1;
		this.player2 = player2;
		this.die1 = die1;
		this.die2 = die2;
		this.turn = startTurn;
	}

	public Die getDie1() {
		return die1;
	}

	public void setDie1(Die die1) {
		this.die1 = die1;
	}

	public Die getDie2() {
		return die2;
	}

	public void setDie3(Die die2) {
		this.die2 = die2;
	}

	public Player getPlayerO() {
		return playerO;
	}

	public void setPlayerO(Player player) {
		this.playerO = player;
	}

	public Player getPlayerX() {
		return playerX;
	}

	public void setPlayerX(Player player) {
		this.playerX = player;
	}

	public int getTurn() {
		return turn;
	}

	public void setTurn(int turn) {
		this.turn = turn;
	}

	public Player getPlayer1() {
		return player1;
	}

	public Player getPlayer2() {
		return player2;
	}
}
